{

	//受到的伤害不会超过当前持有的护盾值



	"AbilityName" : "Card_Armor_1000405", 

	"AbilityStacking": "Unique",

	"DefaultModifier":

	{

		"ModifierStacking":"Unique",

		"OnBeingHitPre": 

        [

			//获得当前护盾值

            {

                "$type": "MoleMole.SetAbilitySpecialsByHpShiledValueAction",

                "Target" : "Self",

                "ParamName": "ShieldAmount",

                "ModifyFunction": "Replace",

                "ValueType" : "CurValue", //当前的护盾值

                "ParamType" : "int"

            }

		],

		"OnBeDamageCalculated":

		[

			{

                "$type":"MoleMole.ReplaceDamageByHpAction",

                "HpProperty":"MaxHP",

                "Percentage": 0, //比较值

				"Amount": 0, //目标值

				"Predicates" :

				[

					{

						"$type" : "MoleMole.ByAbilitySpecial",

						"Target" : "Self",

						"ParamName": "ShieldAmount",

						"ParamType": "int",

						"CompareType": "Greater",

						"Param" : 0

					}

				]

            }

        ]

	},

	"AbilitySpecials" : 

    {

		"ShieldAmount" :

        {

            "Value" : 0

        }

    }

}